summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Fridrich von Stauffenberg2012-07-26 20:10:09 +0200
committer Robby Workman2012-07-26 20:10:09 +0200
commitd8afaabf4b8f5550a2f0f5b00bfc3387b9ed90fd (patch)
tree7417a19a21643e51f8e7173444e2721369deb37f /graphics
parent7c3a5ba616d6d9f29fc3b0e6baa0787baf110504 (diff)
downloadslackbuilds-d8afaabf4b8f5550a2f0f5b00bfc3387b9ed90fd.tar.gz
graphics/yed: Added (graph editor)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/yed/README5
-rw-r--r--graphics/yed/doinst.sh4
-rw-r--r--graphics/yed/slack-desc19
-rw-r--r--graphics/yed/yed.SlackBuild69
-rw-r--r--graphics/yed/yed.desktop11
-rw-r--r--graphics/yed/yed.info10
-rw-r--r--graphics/yed/yed.pngbin0 -> 6312 bytes
-rw-r--r--graphics/yed/yed.sh2
8 files changed, 120 insertions, 0 deletions
diff --git a/graphics/yed/README b/graphics/yed/README
new file mode 100644
index 0000000000..78b7197c6e
--- /dev/null
+++ b/graphics/yed/README
@@ -0,0 +1,5 @@
+yEd is a powerful desktop application that can be used to quickly
+and effectively generate high-quality diagrams. Create diagrams
+manually, or import your external data for analysis. Automatic
+layout algorithms arrange even large data sets with just the press
+of a button.
diff --git a/graphics/yed/doinst.sh b/graphics/yed/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/graphics/yed/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/yed/slack-desc b/graphics/yed/slack-desc
new file mode 100644
index 0000000000..6e1fb805c0
--- /dev/null
+++ b/graphics/yed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yed: yed (graph editor)
+yed:
+yed: yEd is a powerful desktop application that can be used to quickly
+yed: and effectively generate high-quality diagrams. Create diagrams
+yed: manually, or import your external data for analysis. Automatic
+yed: layout algorithms arrange even large data sets with just the press
+yed: of a button.
+yed:
+yed: Homepage: http://www.yworks.com/en/products_yed_about.html
+yed:
+yed:
diff --git a/graphics/yed/yed.SlackBuild b/graphics/yed/yed.SlackBuild
new file mode 100644
index 0000000000..1c85f3bb16
--- /dev/null
+++ b/graphics/yed/yed.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/bash
+
+# Slackware build script for yEd
+
+# Copyright 2012 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=yed
+VERSION=${VERSION:-3.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ORIG_PRGNAM=yEd
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$ORIG_PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/$PRGNAM
+mv $PRGNAM.jar $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+cat $CWD/$PRGNAM.sh > $PKG/usr/bin/$PRGNAM
+chmod 755 $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv *.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/yed/yed.desktop b/graphics/yed/yed.desktop
new file mode 100644
index 0000000000..40fec6d5bc
--- /dev/null
+++ b/graphics/yed/yed.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Terminal=false
+Name=yEd
+GenericName=Graph editor
+Comment=Create and edit diagrams
+Icon=yed
+Exec=yed
+Categories=Graphics;
+MimeType=
diff --git a/graphics/yed/yed.info b/graphics/yed/yed.info
new file mode 100644
index 0000000000..deefe19d95
--- /dev/null
+++ b/graphics/yed/yed.info
@@ -0,0 +1,10 @@
+PRGNAM="yed"
+VERSION="3.9.2"
+HOMEPAGE="http://www.yworks.com/en/products_yed_about.html"
+DOWNLOAD="http://www.yworks.com/products/yed/demo/yEd-3.9.2.zip"
+MD5SUM="f59b9f5aa16e4dc5835d1677d7ec7c5f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/yed/yed.png b/graphics/yed/yed.png
new file mode 100644
index 0000000000..9563991627
--- /dev/null
+++ b/graphics/yed/yed.png
Binary files differ
diff --git a/graphics/yed/yed.sh b/graphics/yed/yed.sh
new file mode 100644
index 0000000000..b24601ddd3
--- /dev/null
+++ b/graphics/yed/yed.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec java -jar /usr/share/yed/yed.jar